import YvanLine from "@/components/elements/YvanLine.vue";
import YvanRect from "@/components/elements/YvanRect.vue";
import YvanImage from "@/components/elements/YvanImage.vue";
import YvanCircle from "@/components/elements/YvanCircle.vue";
import YvanQrcode from "@/components/elements/YvanQrcode.vue";
import YvanBarcode from "@/components/elements/YvanBarcode.vue";
import YvanRichText from "@/components/elements/YvanRichText.vue";
import YvanTextField from "@/components/elements/YvanTextField.vue";
import YvanSimpleText from "@/components/elements/YvanSimpleText.vue";
import YvanSimpleTable from "@/components/elements/yvan-table/YvanSimpleTable.vue";
import YvanComplexTable from "@/components/elements/yvan-table/YvanComplexTable.vue";

export const install = (Vue) => {
    YvanLine.install(Vue)
    YvanRect.install(Vue)
    YvanImage.install(Vue)
    YvanCircle.install(Vue)
    YvanQrcode.install(Vue)
    YvanBarcode.install(Vue)
    YvanRichText.install(Vue)
    YvanTextField.install(Vue)
    YvanSimpleText.install(Vue)
    YvanSimpleTable.install(Vue)
    YvanComplexTable.install(Vue)
}