export default {
  mounted(el, binding, vnode) {
    const node = vnode.ctx.refs[binding.arg] || vnode.ctx.refs[binding.value]
    const contextmenu = Object.prototype.toString.call(node) === '[object Array]' ? node[0] : node
    contextmenu.addRef({ el, vnode })
    contextmenu.$contextmenuId = el.id || contextmenu._uid
  }
}
